#include <pthread.h>
#include <stdio.h>


void *thread (void *args)
{
  printf("Thread - %d\n", *(int *)args);
  return NULL;
}

int main(int argc, char **argv)
{
  pthread_t thread1, thread2, thread3;
  int val1 = 1, val2 = 2, val3 = 3; // objdump
    
  // create: https://man7.org/linux/man-pages/man3/pthread_create.3.html
  pthread_create(&thread1, NULL, thread, (void *) &val1);
  pthread_create(&thread2, NULL, thread, (void *) &val2);
  pthread_create(&thread3, NULL, thread, (void *) &val3);
    
  // join: https://man7.org/linux/man-pages/man3/pthread_join.3.html
  pthread_join(thread1,NULL);
  pthread_join(thread2,NULL);
  pthread_join(thread3,NULL);

  // terminate
  return 0;
}
