#include <pthread.h>
#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <unistd.h>

#define USE_THREADS 0

void *compute1(void *args)
{
  int *r1=calloc(1, sizeof(int));
  sleep(5);  // Do some work
  *r1=1234; // Store results
  return r1;
}

void *compute2(void *args)
{
  int *r2=calloc(1, sizeof(int));
  sleep(5); // Do some work
  *r2=5678; // Store results
  return r2;
}


int main(int argc, char **argv)
{
  pthread_t thread1, thread2;
  void *r1, *r2;
  
  if(!USE_THREADS){
    r1=compute1(NULL);
    r2=compute2(NULL);
  }
  else {
    // No arguments on compute functions
    pthread_create(&thread1, NULL, compute1, NULL);
    pthread_create(&thread2, NULL, compute2, NULL);
    
    pthread_join(thread1,&r1);
    pthread_join(thread2,&r2);
  }

  printf("r1=%d\nr2=%d\n",*(int*)r1, *(int*)r2);
  
  free(r1);
  free(r2);
  
  return 0;
}
